## GnomeDbRawForm

GnomeDbRawForm — Form to display and modify data in a GdaDataModel

##

# Synopsis

    struct      GnomeDbRawForm;
    struct      GnomeDbRawFormClass;
    struct      GnomeDbRawFormPriv;
    GtkWidget*  gnome_db_raw_form_new           (GdaDataModel *model);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkVBox
                                           +----GnomeDbBasicForm
                                                 +----GnomeDbRawForm

## Implemented Interfaces

GnomeDbRawForm implements AtkImplementorIface, GtkBuildable, GtkOrientable and GnomeDbDataWidget.

## Properties

      "model"                GdaDataModel         : Read / Write

## Description

This widget only contains data, it has no decoration, or button to change the displayed row, or any indicator about the current displayed row or the total number of rows. To have a complete form widget, see the GnomeDbForm widget.

This widget is a wrapper around a GnomeDbBasicForm which uses a GdaDataModelIter provided by the GdaDataModel which contains data to display.

## Details

### struct GnomeDbRawForm

    struct GnomeDbRawForm;

### struct GnomeDbRawFormClass

    struct GnomeDbRawFormClass {

    	GnomeDbBasicFormClass parent_class;
    };

### struct GnomeDbRawFormPriv

    struct GnomeDbRawFormPriv;

### gnome_db_raw_form_new ()

    GtkWidget*  gnome_db_raw_form_new           (GdaDataModel *model);

Creates a new GnomeDbRawForm widget to display data in `model`

`model` : | a GdaDataModel, or `NULL`
Returns : | the new widget

## Properties

"`model`" (GdaDataModel : Read / Write) |

## See Also

The GnomeDbRawGrid widget which displays the same information but as grid instead of a form.